Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage
Class NativeBroker.NodeRef

    java.lang.Object
      org.exist.storage.btree.Value
          org.exist.storage.NativeBroker.NodeRef

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  NativeBroker

public static final class NativeBroker.NodeRef
extends Value

Constructor Summary
`NativeBroker.NodeRef(int docId)`
`NativeBroker.NodeRef(int docId, NodeId nodeId)`

Methods inherited from class org.exist.storage.btree.Value
`comparePrefix, compareTo, compareTo, data, dump, endsWith, equals, equals, getAddress, getData, getLength, hashCode, setAddress, start, startsWith, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeBroker.NodeRef

    public NativeBroker.NodeRef(int docId)

### NativeBroker.NodeRef

    public NativeBroker.NodeRef(int docId,
                                NodeId nodeId)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.